%define pkgname sqlite3
Summary:	SQLite3 module for Ruby
Summary(pl.UTF-8):	Moduł SQLite3 dla Ruby
Name:		%{pkgname}-ruby
Version:	1.2.5
Release:	4
License:	GPL
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{name}-%{version}.gem
# Source0-md5:	eaa6328b0e971f4563f8d26715e37e13
Patch0:		%{name}-ruby-1.9.patch
URL:		http://rubyforge.org/projects/sqlite-ruby/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby-devel
BuildRequires:	setup.rb
BuildRequires:	sqlite3-devel
BuildRequires:	swig-ruby >= 1.3.25
Obsoletes:	ruby-sqlite3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SQLite3 module for Ruby.

%description -l pl.UTF-8
Moduł SQLite3 dla Ruby.

%package rdoc
Summary:	HTML documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{name}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description rdoc
HTML documentation for %{name}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{name}.

%package ri
Summary:	ri documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{name}
Group:		Documentation
Requires:	ruby
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description ri
ri documentation for %{name}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{name}.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1

cp -p %{_datadir}/setup.rb .

%build
swig -ruby \
	-o ext/sqlite3_api/sqlite3_api_wrap.c \
	ext/sqlite3_api/sqlite3_api.i

ruby setup.rb config \
	--site-ruby=%{ruby_vendorlibdir} \
	--so-dir=%{ruby_vendorarchdir}
ruby setup.rb setup

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{DL,Kernel,String}
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_ridir},%{ruby_rdocdir}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%attr(755,root,root) %{ruby_vendorarchdir}/sqlite3_api.so
%{ruby_vendorlibdir}/sqlite3.rb
%{ruby_vendorlibdir}/sqlite3

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/SQLite3
%changelog
* Mon Aug 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sqlite3-ruby.git;a=log;h=master

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> ddc0902
- release 4 (by relup.sh)

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> 19fb8a9
- noarch rdoc and ri subpackages

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 8a87cdd
- ruby 2.0 rebuld
- release 3 (by relup.sh)

* Thu Dec 19 2013 Elan Ruusamäe <glen@delfi.ee> 9e65e0f
- install to vendor dirs

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 64b88de
- added rdoc and ri packages
- updated BR/O

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> ef79534
- up to 1.2.5

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> ce88e24
- fix for ruby 1,9, from ALTLinux

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a3e2be3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4fe040d
- converted to UTF-8

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> 116864c
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> 9c0e594
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> 65e5b78
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

* Mon Dec 26 2005 Elan Ruusamäe <glen@pld-linux.org> 1745394
- use system ruby macros; cleanups

* Mon Jun 27 2005 saq <saq@pld-linux.org> 999be35
- as of 1.3.25, swig subpackages actually contain something useful

* Sun Jun 26 2005 saq <saq@pld-linux.org> 6533903
- swig, not swig-ruby is BRed

* Sat May 07 2005 aredridel <aredridel@pld-linux.org> f00cbe9
- added

